library identifier: 'as-jenkins-pipeline-utils-dsl@master', retriever: modernSCM(
        [$class: 'GitSCMSource', 
        credentialsId: '345c79bc-9def-4981-94b5-d8190fdd2304',
        remote: 'https://wwwin-github.cisco.com/AS-Community/as-jenkins-pipeline-utils-dsl.git'])

library identifier: 'spade-utils@master', retriever: modernSCM(
        [$class: 'GitSCMSource', 
        credentialsId: '345c79bc-9def-4981-94b5-d8190fdd2304',
        remote: 'https://wwwin-github.cisco.com/AS-Community/spade-utils.git'])
        


node('amer-sio-slv01') {
    try {

    
            stage('Build and Quality Analysis'){
                    
                            stage('Build'){
                                echo 'Build'
                                checkout([$class: 'GitSCM', branches: [[name: '*/master']], doGenerateSubmoduleConfigurations: false, extensions: [], submoduleCfg: [], userRemoteConfigs: [[credentialsId: '345c79bc-9def-4981-94b5-d8190fdd2304', url: 'https://wwwin-github.cisco.com/CX-TTG-SRE-LAB/ansible-ee-builder.git']]])
                                sh '''
            		                    #!/bin/bash
            		                    pwd
            		                    tar -cvf ansible-ee-builder.tar ../ansible-ee-builder
            		                    find . ! -name 'ansible-ee-builder.tar' -type f -maxdepth 1 -exec rm {} +
         		                    '''
                            }
                            
                            stage('Quality Analysis'){
                                    sonarqube projectKey: 'cx-spade-sjc-490', projectName: 'cx-spade-sjc-490', exludedDirs: '', sonarUrl: 'https://engci-sonar-sjc.cisco.com/sonar/'
                            }                    
                                       
            }
			
            
            stage('Test Analysis'){
		    
                echo 'RASTA ANALYSIS'    
				rastaForDefaultPipeline sampleTestsLoc: 'tests/unittests', build: env.BUILD_NUMBER, outputsDir: '/home/cisco/RASTA/outputs'  
		    
            }
            

            
    } catch (err) {
        echo "${err}"
        println err
            
    }finally{


	//stage('Rally Plugin'){
                build job: '../../Template-Jobs/PostBuildAction', parameters: [string(name: 'JobName', value: env.JOB_NAME)], wait: false 
                build job: '../../Template-Jobs/PostTestResultsAction', parameters: [string(name: 'JobName', value: env.JOB_NAME),string(name: 'buildNumber', value: env.BUILD_NUMBER)], wait: false
                //build job: '../Template-Jobs/PostTimstestresults', parameters: [string(name: 'JobName', value: env.JOB_NAME),string(name: 'buildNumber', value: env.BUILD_NUMBER),string(name:'timsId',value:'Tl24293p'),string(name:'timsToken',value:'25000000006C0000000000034600091H'),string(name:'userName',value:'rashredd')], wait: false
                
     //    }
    
    }
}
